[package]
name = "openbirch-rs"
version = "0.1.0"
edition = "2024"

[dependencies]
# clay-layout = "0.2.0"
clay-layout = { path = "../clay-ui-rust" }
enum_dispatch = "0.3.13"
font-kit = "0.14.2"
raylib = { version = "5.0.2", features = ["wayland"] }
rug = "1.27.0"
termion = "4.0.3"
test-case = "3.3.1"

[features]
async = []

[lib]
name = "libopenbirch"
path = "src/lib/lib.rs"

# [[bin]]
# name = "openbirch-gui"
# path = "src/app/bin.rs"

[[bin]]
name = "openbirch-repl"
path = "src/cli-repl.rs"
